/*
 * @Author: heinan
 * @Date: 2021-05-11 16:48:41
 * @Last Modified by: heinan
 * @Last Modified time: 2021-05-11 17:25:20
 */

const menuConfig: Array<any> = [
  {
    title: "试题管理",
    key: "question",
    path: "/question",
    children: [
      {
        title: "添加试题",
        key: "question-add",
        path: "/user/list"
      },
      {
        title: "查看试题",
        key: "question-list",
        path: "/user/list"
      },
      {
        title: "试题分类",
        key: "question-type",
        path: "/user/list"
      }
    ]
  },
  {
    title: "用户展示",
    key: "user-show",
    path: "/user",
    children: [
      {
        title: "添加用户",
        key: "user-add",
        path: "/user/add"
      },
      {
        title: "用户列表",
        key: "user-list",
        path: "/user/list"
      }
    ]
  },
  {
    title: "班级管理",
    key: "classes",
    path: "/classes",
    children: [
      {
        title: "添加班级",
        key: "classes-add",
        path: "/user/list"
      },
      {
        title: "班级列表",
        key: "classes-list",
        path: "/user/list"
      }
    ]
  },
  {
    title: "考试管理",
    key: "exam",
    path: "/exam",
    children: [
      {
        title: "添加班级",
        key: "classes-add",
        path: "/user/list"
      }
    ]
  },
  {
    title: "试卷管理",
    key: "test",
    path: "/test",
    children: [
      {
        title: "创建试卷",
        key: "test-create",
        path: "/user/list"
      }
    ]
  },
  {
    title: "教室管理",
    key: "classes-room",
    path: "/classes",
    children: [
      {
        title: "添加教室",
        key: "classes-room-add",
        path: "/user/list"
      },
      {
        title: "教室列表",
        key: "classes-room-list",
        path: "/user/list"
      }
    ]
  }
];

export default menuConfig;
