import React from 'react';
import {
  Router as DefaultRouter,
  Route,
  Switch,
  StaticRouter,
} from 'react-router-dom';
import dynamic from 'umi/dynamic';
import renderRoutes from 'umi/lib/renderRoutes';
import history from '@@/history';
import RendererWrapper0 from '/Users/haonan/Desktop/exam/exam-manage/src/pages/.umi/LocaleWrapper.jsx';
import { routerRedux, dynamic as _dvaDynamic } from 'dva';

const Router = routerRedux.ConnectedRouter;

const routes = [
  {
    path: '/user',
    redirect: '/user/add',
    exact: true,
    _title: 'umi-cli',
    _title_default: 'umi-cli',
  },
  {
    path: '/',
    redirect: '/user',
    exact: true,
    _title: 'umi-cli',
    _title_default: 'umi-cli',
  },
  {
    path: '/login',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () =>
            import(/* webpackChunkName: "p__user__login__index" */ '../user/login/index'),
        })
      : require('../user/login/index').default,
    exact: true,
    _title: 'umi-cli',
    _title_default: 'umi-cli',
  },
  {
    path: '/',
    component: __IS_BROWSER
      ? _dvaDynamic({
          component: () =>
            import(/* webpackChunkName: "components__layouts__index" */ '../../components/layouts/index'),
        })
      : require('../../components/layouts/index').default,
    routes: [
      {
        path: '/user',
        component: __IS_BROWSER
          ? _dvaDynamic({
              component: () =>
                import(/* webpackChunkName: "p__user" */ '../user'),
            })
          : require('../user').default,
        routes: [
          {
            path: '/user/add',
            component: __IS_BROWSER
              ? _dvaDynamic({
                  component: () =>
                    import(/* webpackChunkName: "p__user" */ '../user/add'),
                })
              : require('../user/add').default,
            exact: true,
            _title: 'umi-cli',
            _title_default: 'umi-cli',
          },
          {
            path: '/user/list',
            component: __IS_BROWSER
              ? _dvaDynamic({
                  component: () =>
                    import(/* webpackChunkName: "p__user" */ '../user/list'),
                })
              : require('../user/list').default,
            exact: true,
            _title: 'umi-cli',
            _title_default: 'umi-cli',
          },
          {
            component: () =>
              React.createElement(
                require('/Users/haonan/Desktop/exam/exam-manage/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
                  .default,
                { pagesPath: 'src/pages', hasRoutesInConfig: true },
              ),
            _title: 'umi-cli',
            _title_default: 'umi-cli',
          },
        ],
        _title: 'umi-cli',
        _title_default: 'umi-cli',
      },
      {
        component: () =>
          React.createElement(
            require('/Users/haonan/Desktop/exam/exam-manage/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
              .default,
            { pagesPath: 'src/pages', hasRoutesInConfig: true },
          ),
        _title: 'umi-cli',
        _title_default: 'umi-cli',
      },
    ],
    _title: 'umi-cli',
    _title_default: 'umi-cli',
  },
  {
    component: () =>
      React.createElement(
        require('/Users/haonan/Desktop/exam/exam-manage/node_modules/umi-build-dev/lib/plugins/404/NotFound.js')
          .default,
        { pagesPath: 'src/pages', hasRoutesInConfig: true },
      ),
    _title: 'umi-cli',
    _title_default: 'umi-cli',
  },
];
window.g_routes = routes;
const plugins = require('umi/_runtimePlugin');
plugins.applyForEach('patchRoutes', { initialValue: routes });

export { routes };

export default class RouterWrapper extends React.Component {
  unListen() {}

  constructor(props) {
    super(props);

    // route change handler
    function routeChangeHandler(location, action) {
      plugins.applyForEach('onRouteChange', {
        initialValue: {
          routes,
          location,
          action,
        },
      });
    }
    this.unListen = history.listen(routeChangeHandler);
    // dva 中 history.listen 会初始执行一次
    // 这里排除掉 dva 的场景，可以避免 onRouteChange 在启用 dva 后的初始加载时被多执行一次
    const isDva =
      history.listen
        .toString()
        .indexOf('callback(history.location, history.action)') > -1;
    if (!isDva) {
      routeChangeHandler(history.location);
    }
  }

  componentWillUnmount() {
    this.unListen();
  }

  render() {
    const props = this.props || {};
    return (
      <RendererWrapper0>
        <Router history={history}>{renderRoutes(routes, props)}</Router>
      </RendererWrapper0>
    );
  }
}
